<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>

    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />

    <link rel="stylesheet" href="style.css" />

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Cabin&family=Lato&family=Nunito&family=Poppins&family=Tinos&display=swap"
      rel="stylesheet"
    />
  </head>

  <body>
    <nav class="navbar navbar-expand-lg navbar-light mt-4 mb-3">
      <a class="navbar-brand pet-brand" href="#">
        <img
          src="images/Vector.png"
          width="30"
          height="30"
          class="d-inline-block align-top mr-2"
          alt=""
        />
        PucciMart
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item ml-1">
            <a class="nav-link" href="#"
              ><span class="menu-item" style="color: #07a081;">Home</span></a
            >
          </li>
          <li class="nav-item ml-1">
            <a class="nav-link" href="#"><span class="menu-item">Shop</span></a>
          </li>
          <li class="nav-item ml-1">
            <a class="nav-link" href="#"
              ><span class="menu-item">Party Packages</span></a
            >
          </li>
          <li class="nav-item ml-1">
            <a class="nav-link" href="#"><span class="menu-item">Menu</span></a>
          </li>
          <li class="nav-item ml-1">
            <a class="nav-link" href="#"
              ><span class="menu-item">About</span></a
            >
          </li>
          <li class="nav-item ml-1">
            <a class="nav-link" href="#"
              ><span class="menu-item">Contact Us</span></a
            >
          </li>
        </ul>
        <form class="form-inline my-2 my-lg-0 mr-3 ml-2">
          <input
            class="form-control mr-sm-2 input-background"
            type="search"
            placeholder="Search for products"
            aria-label="Search"
          />
        </form>
        <span style="padding-top: 0.5rem;">
          <img src="images/Vector1.png" style="width: 20px; height: 16px;" />
          <span class="sub-img-shop">0</span>
        </span>
        <img
          src="images/Vector2.png"
          style="
            width: 22px;
            height: 18px;
            margin-left: 1rem;
            margin-right: 0.5rem;
          "
        />
        <img src="images/Group.png" style="width: 17px; height: 17px;" />
      </div>
    </nav>

    <div class="divider"></div>

    <div class="bg-img">
      <div class="container">
        <div class="row">
          <div class="col-md-7">
            <div class="tittle">
              Love your plants <br />Take care of yourself
            </div>
            <div class="sub-tittle">5% of every purchase helps rescues</div>
            <button class="shop-now-btn">SHOP NOW</button>
            <div class="icons">
              <img src="images/f-icon.png" style="width: 32px; height: 32px;" />
              <img src="images/y-icon.png" style="width: 32px; height: 32px;" />
              <img src="images/t-icon.png" style="width: 32px; height: 32px;" />
              <img src="images/i-icon.png" style="width: 32px; height: 32px;" />
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Shop by pet -->
    <div class="container text-center">
      <div class="shop-tittle">Shop By Pet</div>
      <div class="shop-sub-tittle">
        Shop the latest high-end designer products for your pups at our luxury
        dog boutique!
      </div>
      <div
        style="
          display: flex;
          height: 6rem;
          margin-top: 3rem;
          margin-bottom: 3rem;
          position: relative;
        "
      >
        <div
          class="shop-item"
          style="position: absolute; top: 0rem; left: 0rem;"
        >
          <img src="images/cat.png" />
          <div class="shop-item-name">Cats</div>
        </div>
        <div
          class="shop-item"
          style="position: absolute; top: 0rem; left: 20%;"
        >
          <img src="images/bird.png" />
          <div class="shop-item-name">Bird</div>
        </div>
        <div
          class="shop-item"
          style="position: absolute; top: 0rem; left: 40%;"
        >
          <img src="images/dog.png" />
          <div class="shop-item-name">Dogs</div>
        </div>
        <div
          class="shop-item"
          style="position: absolute; top: 0rem; left: 60%;"
        >
          <img src="images/goldfish.png" />
          <div class="shop-item-name">Fish</div>
        </div>
        <div
          class="shop-item"
          style="position: absolute; top: 0rem; left: 80%;"
        >
          <img src="images/domestic-rabbit.png" />
          <div class="shop-item-name">Rabbit</div>
        </div>
      </div>
    </div>

    <!-- All pet -->
    <div class="container text-center">
      <div class="shop-tittle" style="margin-bottom: 1rem;">All Pet</div>
      <div class="shop-sub-tittle" style="margin-bottom: 3rem;">
        Shop the latest high-end designer products for your pups at our luxury
        dog boutique!
      </div>
      <div class="row my-4" id="item_container"></div>
      <div
        id="page_container"
        style="display: flex; justify-content: center; margin-bottom: 5rem;"
      >
        <div class="page-control" style="margin-right: 0.6rem;">(</div>
        <div
          class="page-control"
          style="border: 1px solid #d6ebdc; background-color: #d6ebdc;"
        >
          )
        </div>
      </div>
    </div>

    <!--  -->
    <div style="position: relative;">
      <div class="container">
        <div class="row bg-img-sub">
          <div class="col-md-6"></div>
          <div class="col-md-6">
            <div class="subscribe" style="margin-top: 8rem;">
              Subscribe for updates
            </div>
            <div
              style="display: flex; margin-top: 1.5rem; margin-bottom: 1.5rem;"
            >
              <input
                class="pet-input"
                type="text"
                placeholder="Your Email Address"
              />
              <div class="input-arrow"><img src="images/arrow.png" /></div>
            </div>
            <div class="subscribe">contact us: info@pucciMart.com</div>
            <div
              class="icons"
              style="margin-left: auto; margin-top: 5rem; margin-bottom: 8rem;"
            >
              <img src="images/f-icon.png" style="width: 32px; height: 32px;" />
              <img src="images/y-icon.png" style="width: 32px; height: 32px;" />
              <img src="images/t-icon.png" style="width: 32px; height: 32px;" />
              <img src="images/i-icon.png" style="width: 32px; height: 32px;" />
            </div>
          </div>
        </div>
      </div>

      <div style="background: #07a081; text-align: center; display: flow-root;">
        <div class="discount">Discount up to 50% Only this month.</div>
        <button class="discount-button">SHOP NOW</button>
      </div>
      <img
        src="images/paw-deco.png"
        style="width: 18%; position: absolute; top: 38%; left: 1rem;"
      />
      <img
        src="images/discount-deco-combo.png"
        style="width: 20%; position: absolute; top: 37%; right: 2rem;"
      />

      <div
        class="container text-center"
        style="position: relative; padding-top: 8rem;"
      >
        <div class="row bg-img-discount">
          <div class="col-md-4" style="position: relative;">
            <div style="position: absolute; bottom: 3rem; left: 5rem;">
              <div style="display: flex;">
                <img src="images/stars.png" style="height: 27px;" />
                <div class="star-vote">(2698)</div>
              </div>
              <div style="display: flex;">
                <div class="price">$169.00</div>
                <div class="discount-price">$169.00</div>
              </div>
            </div>
          </div>
          <div class="col-md-4">
            <img src="images/deco-dog.png" style="width: 100%;" />
          </div>
          <div class="col-md-4" style="position: relative;">
            <button class="discount-button-offer">SHOP NOW</button>
          </div>
        </div>
        <div class="hot-offer">Hot<br />offer</div>
        <div class="discount-50">Discount up to 50% Only this month.</div>
        <div
          class="divider w-100"
          style="margin-top: 2rem; margin-bottom: 2rem;"
        ></div>

        <div
          style="
            display: flex;
            justify-content: space-between;
            margin-bottom: 3rem;
          "
        >
          <div style="display: flex;">
            <img src="images/car-icon.png" style="width: 45px; height: 33px;" />
            <div class="delivery-item">Free Same-Day Delivery</div>
          </div>

          <div style="display: flex;">
            <img
              src="images/lock-icon.png"
              style="width: 33px; height: 37px;"
            />
            <div class="delivery-item">100% Secure Checkout</div>
          </div>

          <div style="display: flex;">
            <img
              src="images/car-arrow-icon.png"
              style="width: 43px; height: 33px;"
            />
            <div class="delivery-item">Easy 7 days replacement</div>
          </div>
        </div>
      </div>
    </div>

    <!-- Footer -->
    <div
      class="container-fluid pt-5 pb-3 px-0"
      style="background-color: #f6f6f6;"
    >
      <div class="container">
        <div class="row">
          <div class="col-md-4" style="padding-left: 2rem;">
            <div class="footer-menu-name">ABOUT</div>
            <div class="footer-menu-item">Contact Us</div>
            <div class="footer-menu-item">Privacy Policy</div>
            <div class="footer-menu-item">Terms and Condition</div>
          </div>

          <div class="col-md-4" style="padding-left: 2rem;">
            <div class="footer-menu-name">SUPPORT</div>
            <div class="footer-menu-item">Shipping Info</div>
            <div class="footer-menu-item">Track Order</div>
            <div class="footer-menu-item">Help/FAQ</div>
          </div>

          <div class="col-md-4" style="padding-left: 2rem;">
            <div class="footer-menu-name">CONTACT US</div>
            <div class="footer-menu-item">Call Us: +123 456 789 00</div>
            <div class="footer-menu-item">
              Email Us: ghorerbazarbd.com@gmail.com
            </div>
            <div style="display: flex;">
              <img
                src="images/Group1053.png"
                style="width: 214px; height: 35px;"
              />
            </div>
          </div>
        </div>
      </div>

      <div
        class="divider w-100"
        style="margin-top: 3rem; margin-bottom: 1rem;"
      ></div>

      <div class="container">
        <div style="display: flex; justify-content: space-between;">
          <div class="copyright">All rights reserved@Puccimart</div>
          <div class="copyright">Terms and Condition</div>
        </div>
      </div>
    </div>
  </body>
</html>

<script>
  // Tổng số bản ghi của hệ thống
  var gTotalRecords = 42;

  // Tham số limit (Số lượng bản ghi tối đa trên 1 trang)
  var gPerpage = 8;

  // Tổng số trang. Math ceil để lấy số bản ghi tối đa có được. Ví dụ: 10 / 3 = 3.33 => Cần 4 trang hiển thị
  var gTotalPages = Math.ceil(gTotalRecords / gPerpage) - 1;

  var gBASE_URL = "https://pucci-mart.onrender.com/api";

  $(document).ready(function () {
    // Thực hiện xử lý hiển thị của trang 1
    makecall(0);
  });

  function createpagination(vPagenum) {
    // Xóa trắng phần tử cũ
    $("#page_container").html("");

    // Nếu tran hiện tại là trang 1 thì nút Prev sẽ bị disable
    if (vPagenum == 0) {
      $("#page_container").append(`
        <div
          class="page-control"
          style="border: 1px solid #d6ebdc; background-color: #d6ebdc; margin-right: 0.6rem;"
        >(</div>
        <div
          class="page-control"
          onclick="makecall(${vPagenum + 1})"
        >)</div>
      `);
    } else if (vPagenum == gTotalPages) {
      $("#page_container").append(`
        <div class="page-control" style="margin-right: 0.6rem;"
          onclick="makecall(${vPagenum - 1})"
        >(</div>
        <div
          class="page-control"
          style="border: 1px solid #d6ebdc; background-color: #d6ebdc;"
        >)</div>
      `);
    } else {
      $("#page_container").append(`
      <div class="page-control" style="margin-right: 0.6rem;"
        onclick="makecall(${vPagenum - 1})"
      >(</div>
      <div class="page-control"
        onclick="makecall(${vPagenum + 1})"
      >)</div>
    `);
    }
  }

  function fetch_data(gPerpage, vPagenum) {
    const vQueryParams = new URLSearchParams({
      _page: vPagenum,
      _limit: gPerpage,
    });

    $.ajax({
      type: "get",
      url: gBASE_URL + "/pets?" + vQueryParams.toString(),
      dataType: "json",
      success: function (paramData) {
        console.log(paramData);
        loadItemToContainer(paramData.rows);
      },
      error: function () {
        $("#item_container").html("error");
      },
    });
  }

  function makecall(vPagenum) {
    // Hàm hiển thị dữ liệu dựa vào 2 tham số phân trang
    fetch_data(gPerpage, vPagenum);
    // Hàm tạo thanh phân trang
    createpagination(vPagenum);
  }

  //hàm load pet lên trang web
  function loadItemToContainer(paramRows) {
    // Xóa trắng phần tử cũ
    $("#item_container").html("");

    for (var bIndex = 0; bIndex < paramRows.length; bIndex++) {
      const bElement = paramRows[bIndex];
      if (parseInt(bElement.discount) > 0) {
        $("#item_container").append(`
          <div class="col-md-3">
            <div class="card" style="border: 0px;">
              <div>
                <img src="${bElement.imageUrl}" class="card-img-top" style="border-radius: 11px"/>
                <div class="sub-img-pet">-${bElement.discount}%</div>
              </div>
              <div class="card-body">
                <div class="all-pet-name">${bElement.name}</div>
                <div class="all-pet-des">${bElement.description}</div>
                <div class="all-pet-price">
                  <span>$${bElement.promotionPrice}</span>
                  <span style="text-decoration: line-through;">$${bElement.price}</span>
                </div>
              </div>
            </div>
          </div>
        `);
      } else {
        $("#item_container").append(`
          <div class="col-md-3">
            <div class="card" style="border: 0px;">
              <div>
                <img src="${bElement.imageUrl}" class="card-img-top" style="border-radius: 11px"/>
              </div>
              <div class="card-body">
                <div class="all-pet-name">${bElement.name}</div>
                <div class="all-pet-des">${bElement.description}</div>
                <div class="all-pet-price">
                  <span>$${bElement.promotionPrice}</span>
                  <span style="text-decoration: line-through;">$${bElement.price}</span>
                </div>
              </div>
            </div>
          </div>
        `);
      }
    }
  }
</script>
